cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/chat/text-extract \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachments":[{"token":"string","name":"string","mimetype":"string","size":0,"path":"string","presignedUrl":"string"}]}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/chat/text-extract';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"attachments":[{"token":"string","name":"string","mimetype":"string","size":0,"path":"string","presignedUrl":"string"}]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/chat/text-extract',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
attachments: [
{
token: 'string',
name: 'string',
mimetype: 'string',
size: 0,
path: 'string',
presignedUrl: 'string'
}
]
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"attachments\":[{\"token\":\"string\",\"name\":\"string\",\"mimetype\":\"string\",\"size\":0,\"path\":\"string\",\"presignedUrl\":\"string\"}]}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/base/%7BbaseId%7D/chat/text-extract", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"success": true,
"extractedFiles": [
{
"token": "<string>",
"content": "<string>",
"charCount": 123,
"truncated": true,
"name": "<string>",
"isPreview": true
}
],
"totalCharacters": 123,
"truncatedFiles": 123,
"message": "<string>",
"error": "<string>"
}chat
Post base chattext extract
Extract text content from attachments
POST
/
base
/
{baseId}
/
chat
/
text-extract
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Attachments to extract text from
Minimum array length:
1Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

